function [probs] = naiveClassifier(dataLabels)
% label = naiveClassifier(example, labels)
%
% takes an example, throws it out, and returns a totally naive answer
%
% Output: 
%   label       = label chosen based on naive prior
%
% Inputs:
%   labels      = vector of all data labels
%

% "training"

uniqueLabels = unique(dataLabels);
count = zeros(length(uniqueLabels),1);
for i = 1:length(uniqueLabels)
    count(i) = sum(dataLabels == uniqueLabels(i));
end

probs = [uniqueLabels' count./sum(count)];


% use this code to get vector of label integers:
% for i = 1:length(allPitches)
%     pitchType(i) = allPitches{i}.pitchType;
% end
%
% for i = 1:length(allPitches)
%     location(i) = allPitches{i}.location;
% end
%
% for i = 1:length(allPitches)
%     player_ID(i) = allPitches{i}.player_ID;
% end