%function runLDA(allFeatures, featuresToUse)
% use for pitchers: [41, 45, 210 91 96 103]


featuresMat = allFeatures.featureMatrix(:,featuresToUse);
labs = allFeatures.labels.pitchType;

for i = 1:length(labs)
    
    % leave one out:
    featureSubset = featuresMat;
    featureSubset(i,:)=[];
    labelSubset = labs;
    labelSubset(i) = [];
    
    % run kNN on the left-out example
    class(i) = classify(featuresMat(i,:),featureSubset,labelSubset);
    
    % test the results
    isCorrect(i) = (class(i) == labs(i));
    
end

eL1O = 1-sum(isCorrect)./length(isCorrect)