function eL1O = runNaiveBayes(allFeatures, featuresToUse, labelType)

featuresMat = allFeatures.featureMatrix(:,featuresToUse);
switch labelType
    case 'location'
        labs = allFeatures.labels.location;
    case 'type'
        labs = allFeatures.labels.pitchType;
    case 'playerID'
        labs = allFeatures.labels.player_ID;
end

for i = 1:length(labs)
    
    % leave one out:
    featureSubset = featuresMat;
    featureSubset(i,:)=[];
    labelSubset = labs;
    labelSubset(i) = [];
    
    % train classifier
    nb = NaiveBayes.fit(featureSubset, labelSubset);
    
    % run naive Bayes prediction on the left-out example
    class(i) = predict(nb,featuresMat(i,:));
    
    % test the results
    isCorrect(i) = (class(i) == labs(i));
    
end

eL1O = 1-sum(isCorrect)./length(isCorrect);