function clusters = runClustering(allFeatures, featuresToUse, algType, labelType)
% given a subset of the feature space and a choise of clustering algorithm,
% measure and return the homogeneity of the clusters
%
% Inputs:
%   allFeatures     = all features structure (project standard)
%   featuresToUse   = vectors of features to select from all features
%   labelType       = which label to train/test on:
%           'type'
%           'location'
%           'playerID'
%

featuresMat = allFeatures.featureMatrix(:,featuresToUse);

switch labelType
    case 'type'
        if(isfield(allFeatures.labels,'pitchType'))
            labels = allFeatures.labels.pitchType';
        else
            labels = allFeatures.labels.type;
        end
    case 'location'
        labels = allFeatures.labels.location';
    case 'playerID'
        labels = allFeatures.labels.player_ID';
end

switch algType
    case 'kmeans'
        
        for k = 3:50
            opts = statset('Display','off');
            [cidx, ctrs] = kmeans(featuresMat, k, ...
                'Replicates',25,'onlinephase','on','Options',opts);
            clusters{k}.all = clusterPerf(cidx,labels);
            for i = 1:length(clusters{k}.all)
                [best bestInd]= max(clusters{k}.all{i}(:,2));
                clusters{k}.perf(i,:) = ([clusters{k}.all{i}(bestInd,1) best]);
            end
        end
end









