function [start1,stop1,impact1] = getSwingInfo(GESTURE_ID)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This script retrieves the following indices from Mike's database
% for a given GESTURE_ID (corresponding to a swing):
%
% start1  - index where swing begins
% stop1   - index where swing stops
% impact1 - index where impact between bat and ball occurs
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clc;
conn = database('sox2010odbc','sox','s0xs0x');
a = isconnection(conn);

query = sprintf('SELECT "SWING_START_IDX", "SWING_END_IDX", "SWING_IMPACT_IDX" FROM "SWING_METADATA2010" WHERE "PLAYER_GESTURES_SEQ_ID"= %g', GESTURE_ID);

q = exec(conn,query);
results = fetch(q);

if strcmp(cell2mat(results.Data),'No Data') == 0
  start1  = cell2mat(results.Data(1)); 
  stop1   = cell2mat(results.Data(2)); 
  impact1 = cell2mat(results.Data(3)); 
else
  start1 = []; stop1 = []; impact1 = [];
  fprintf('No data.');
  return;
end;

close(conn);