% ------------------------
% find distances between peaks
%   intra-node:
%       chest:
dist_chest_xy = peakDist(locs_chest_x,locs_chest_y);
dist_chest_xz = peakDist(locs_chest_x,locs_chest_z);
dist_chest_yz = peakDist(locs_chest_y,locs_chest_z);
dist_chest = [dist_chest_xy dist_chest_xz dist_chest_yz];
%       waist:
dist_waist_xy = peakDist(locs_waist_x,locs_waist_y);
dist_waist_xz = peakDist(locs_waist_x,locs_waist_z);
dist_waist_yz = peakDist(locs_waist_y,locs_waist_z);
dist_waist = [dist_waist_xy dist_waist_xz dist_waist_yz];
%       forearm:
dist_forearm_xy = peakDist(locs_forearm_x,locs_forearm_y);
dist_forearm_xz = peakDist(locs_forearm_x,locs_forearm_z);
dist_forearm_yz = peakDist(locs_forearm_y,locs_forearm_z);
dist_forearm = [dist_forearm_xy dist_forearm_xz dist_forearm_yz];
%       hand:
dist_hand_xy = peakDist(locs_hand_x,locs_hand_y);
dist_hand_xz = peakDist(locs_hand_x,locs_hand_z);
dist_hand_yz = peakDist(locs_hand_y,locs_hand_z);
dist_hand = [dist_hand_xy dist_hand_xz dist_hand_yz];
%       upper arm:
dist_upper_arm_xy = peakDist(locs_upper_arm_x,locs_upper_arm_y);
dist_upper_arm_xz = peakDist(locs_upper_arm_x,locs_upper_arm_z);
dist_upper_arm_yz = peakDist(locs_upper_arm_y,locs_upper_arm_z);
dist_upper_arm = [dist_upper_arm_xy dist_upper_arm_xz dist_upper_arm_yz];
% concatenate all intra-node distances:
dist_intranode = [dist_chest dist_waist dist_forearm dist_hand dist_upper_arm];

%   inter-node:
%       hand-forearm:
dist_hand2forearm_xx = peakDist(locs_hand_x, locs_forearm_x);
dist_hand2forearm_yy = peakDist(locs_hand_y, locs_forearm_y);
dist_hand2forearm_zz = peakDist(locs_hand_z, locs_forearm_z);
dist_hand2forearm = [dist_hand2forearm_xx dist_hand2forearm_yy dist_hand2forearm_zz];
%       hand-upper_arm:
dist_hand2upper_arm_xx = peakDist(locs_hand_x,locs_upper_arm_x);
dist_hand2upper_arm_yy = peakDist(locs_hand_y,locs_upper_arm_y);
dist_hand2upper_arm_zz = peakDist(locs_hand_z,locs_upper_arm_z);
dist_hand2upper_arm = [dist_hand2upper_arm_xx dist_hand2upper_arm_yy dist_hand2upper_arm_zz];
%       forearm-upper_arm:
dist_forearm2upper_arm_xx = peakDist(locs_forearm_x,locs_upper_arm_x);
dist_forearm2upper_arm_yy = peakDist(locs_forearm_y,locs_upper_arm_y);
dist_forearm2upper_arm_zz = peakDist(locs_forearm_z,locs_upper_arm_z);
dist_forearm2upper_arm = [dist_forearm2upper_arm_xx dist_forearm2upper_arm_yy dist_forearm2upper_arm_zz];
% concatenate all inter-node distances:
dist_internode = [dist_hand2forearm dist_hand2upper_arm dist_forearm2upper_arm];

% concatenate everything into features vector
features = [dist_intranode dist_internode]';