function fpks = findSpectralPeaks(data, samp, origin, L, nSpectPeaks)

indOrigin = find(samp==origin);
y = data(indOrigin-L/2+1:indOrigin+L/2);
Fs = floor(length(samp)/(max(samp)/1000));  % Sampling frequency
T = 1/Fs;                                   % Sample time
t = (0:L-1)*T;                              % Time vector
NFFT = 2^nextpow2(L);                       % Next power of 2 from L
f = Fs/2*linspace(0,1,NFFT/2+1);

Y = fft(y,NFFT)/L;
fMag = 2*abs(Y(1:NFFT/2+1));

[fPeaks fLocs] = findpeaks(fMag,'SORTSTR','descend','NPEAKS',nSpectPeaks);
% for i=1:nSpectPeaks
%     if(fPeaks(i))
%     end
% end
fpks = f(fLocs);
%figure(1), plot(f,fMag) 