clear all;

% Do we want to discriminate between left and right-handed pitchers/hitters?

% Pitching

[gesture_ID, player_ID, session_ID] = getGestures(1,'all','all');

% From problem folder:
discard_ext = [918; 815; 861; 926; 522; 507; 556; 475; 930; 884; 956; 414; 1166; 1259; 1187; 1183; 1213; 591; 945; 1141; 1106; 1107; 1108; 1109; 1110; 1112; 1113; 1114; 1115; 1116; 1117; 1119; 1121; 1122; 1123; 1125; 1126; 1127; 1129; 1130; 1133;1135;1136;1138;1139;1143;1144;1146;1148;1150;1151;1154;1156;1001;1003;1005;1007;1009;1013;1015;1017;1021;1025;1027;1031;1033;1037;1039;1043;1047;1049;1053;1055;1059;1065;1071;1073;1083;1087;1091;1093;1095;1852;1853;1854;1855;1856];

discard_1 = getGestures(1,0,'all');     % remove unknown pitches
discard_2 = getGestures(1,'all',16);    % remove pitches in the dirt

% Pitchers we need to ignore
discard_3 = getGestures(1,'all','all',28); 
discard_4 = getGestures(1,'all','all',29);
discard_5 = getGestures(1,'all','all',30);

discard = cat(1,discard_ext,discard_1,discard_2,discard_3,discard_4,discard_5);
discard = sort(discard);
discard(find(diff(discard) == 0)) = [];  % remove repeats

% First look at pitch type feature

all_features = [];

for type = 1:7
    type
  [gesture_ID,player_ID,session_ID] = getGestures(1,type,'all');
  for i= 1:length(discard);
    ind = find(gesture_ID == discard(i));
    gesture_ID(ind) = [];
    player_ID(ind)  = [];
    session_ID(ind) = [];
  end;
  length(gesture_ID)
  for j=1:length(gesture_ID)
    j  
    features = feature_extract_pitch(gesture_ID(j));
    features = cat(1,features,type);
  end;
  all_features = cat(2,all_features,features);
end;    
  
all_features = all_features';

% bin features to compute mutual information....

return

%%%%%%%%%% The following is the known gesture_ID/discard list for batting %%%%%%%%%%%%%

% Batting
[gesture_ID, player_ID, session_ID] = getGestures(2,'all','all');

discard_1 = getGestures(2,0,'all');
discard_2 = getGestures(2,1,'all');
discard = cat(1,discard1,discard2);

discard = cat(1,discard_ext,discard_1,discard_2,discard_3,discard_4,discard_5);
discard = sort(discard);
discard(find(diff(discard) == 0)) = [];  % remove repeats

for i = 1:length(discard)
  ind = find(gesture_ID == discard(i));
  gesture_ID(ind) = [];
  player_ID(ind)  = [];
  session_ID(ind) = [];
end;  
  