%function runPCA(allFeatures, dataType)
% runPCA(allFeatures);
%
% Computes principal components of allFeatures matrix and plots the first 3
%
% Output: 
% 
%
% Inputs:
%   allFeatures     = matrix of all features, examples by row
%   dataType        = 'pitching' or 'batting'
%

[coefs,scores,variances,t2] = princomp(allFeatures.featureMatrix);

pitchTypeLabels = {'FAST', 'CHANGE', 'CURVE', 'SLIDER', '2_SEAM', '4_SEAM', 'BREAK'};
locationLabels = {...
    'TOP FAR LEFT',    'TOP LEFT',    'TOP MIDDLE',   'TOP RIGHT',   'TOP FAR RIGHT',...
    'MIDDLE FAR LEFT', 'MIDDLE LEFT', 'MIDDLE',       'MIDDLE RIGHT','MIDDLE FAR RIGHT',...
    'BOTTOM FAR LEFT', 'BOTTOM LEFT', 'BOTTOM MIDDLE','BOTTOM RIGHT','BOTTOM FAR RIGHT'};    
%locationLabels = {'10' '1' '2' '3' '13'...
%                  '11' '4' '5' '6' '14'...
%                  '12' '7' '8' '9' '15'}; 

for i = 1:length(allFeatures.labels.type)
    type{i} = pitchTypeLabels{allFeatures.labels.type(i)};
    location{i} = locationLabels{allFeatures.labels.location(i)};
    playerID{i} = int2str(allFeatures.labels.player_ID(i));
end


%mapcaplot(allFeatures.featureMatrix, playerID)

figure(1), biplot(coefs(:,1:3), 'scores',scores(:,1:3),'obslabels',playerID);

%biplot(pc(:,1:2),'Scores',score(:,1:2),'VarLabels', {'X1' 'X2' 'X3' 'X4'})

%[IDX,C,sumd,D] = kmeans(allFeatures.featureMatrix,7, 'Display','final', 'Replicates',20);
%find(IDX==1)