function fpks = findSpectralPeaks(data, samp, origin, L, nSpectPeaks,Fs)

% Fs = 1000 for HI, 300 for LO

samp_full = samp(1):1:samp(end);
data_full = interp1(samp,data,samp_full,'spline');

indOrigin = find(samp_full==origin);
y = data_full(indOrigin-L/2+1:indOrigin+L/2);

T = 1/Fs;                                   % Sample time
t = (0:L-1)*T;                              % Time vector
NFFT = 2^nextpow2(L);                       % Next power of 2 from L
f = Fs/2*linspace(0,1,NFFT/2+1);

Y = fft(y,2*NFFT)/L;
fMag = 2*abs(Y(1:NFFT/2+1));

[fPeaks fLocs] = findpeaks(fMag,'SORTSTR','descend','NPEAKS',nSpectPeaks);
if(length(fPeaks)<nSpectPeaks)
    for i = length(fPeaks):nSpectPeaks
        fLocs(i) = 1;
    end
end

fpks = f(fLocs);
