function plotGoodFeatures(allFeatures,featuresToUse, labelType)
%
% Inputs:
%   allFeatures     = all features structure (project standard)
%   featuresToUse   = vectors of features to select from all features
%   labelType       = which label to train/test on:
%           'type'
%           'location'
%           'playerID'
%

featuresMat = allFeatures.featureMatrix(:,featuresToUse);

switch labelType
    case 'type'
        if(isfield(allFeatures.labels,'pitchType'))
            labels = allFeatures.labels.pitchType';
            originalLabels = labels;
        else
            labels = allFeatures.labels.type;
            originalLabels = labels;
        end
    case 'location'
        labels = allFeatures.labels.horiz_loc';
        originalLabels = labels;
    case 'playerID'
        labels = allFeatures.labels.player_ID';
        originalLabels = labels;
        uniqueLabels = unique(labels);
        for i = 1:length(uniqueLabels)
            labels(labels==uniqueLabels(i))=i;
        end
end

labelColors = 'rgmbckbrmgck';
labelMarkers = '+o*.xsdv><h';
figure(1)
for i = 1:length(featuresMat)
    h = plot3(featuresMat(i,1), featuresMat(i,2), featuresMat(i,3), ...
        sprintf('%s%s',labelColors(labels(i)), labelMarkers(labels(i))));
    customDataCursor(h,{originalLabels(i)});
    hold on
    
end
hold off
