% This script creates various subsets in our data set for evaluation of
% different classification problems.

% Fastball vs. Everything Else

clear all;
load features/allPitchFeatures;
ind = find(allPitchFeatures.labels.type ~=1);
allPitchFeatures.labels.fastnot = ones(size(allPitchFeatures.labels.type));
allPitchFeatures.labels.fastnot(ind) = 0;

% Vertical Location

loc      = allPitchFeatures.labels.location;
vert_loc = zeros(size(loc));

upper = []; middle = []; lower = [];

for m = 1:length(loc)
  if loc(m)==10 || loc(m)==1 || loc(m)==2 || loc(m)== 3 || loc(m)==13
    upper = cat(1,upper,m);
  elseif loc(m)==11 || loc(m)==4 || loc(m)==5 || loc(m)== 6 || loc(m)==14
    middle = cat(1,middle,m);
  elseif loc(m)==12 || loc(m)==7 || loc(m)==8 || loc(m)==9 || loc(m)==15
    lower = cat(1,lower,m);
  else
    fprintf('error');
    return;
  end;
end;    

vert_loc(upper) = 1; vert_loc(middle) = 2; vert_loc(lower) = 3;

allPitchFeatures.labels.vert_loc = vert_loc;

% Horizontal Location

horiz_loc = zeros(size(loc));

left = []; center = []; right = [];

for n = 1:length(loc)
  if loc(n)==10 || loc(n)==1 || loc(n)==4 || loc(n)==11 || loc(n)==7 || loc(n)==12
    left = cat(1,left,n);
  elseif loc(n)==2 || loc(n)==5 || loc(n)==8
    center = cat(1,center,n);
  elseif loc(n)==3 || loc(n)==13 || loc(n)==6 || loc(n)==14 || loc(n)==9 || loc(n)==15
    right = cat(1,right,n);
  else
    fprintf('error');
    return;
  end;
end;    

horiz_loc(left) = 1; horiz_loc(center) = 2; horiz_loc(right) = 3;

allPitchFeatures.labels.horiz_loc = horiz_loc;
