function eL1O = execLDA(allFeatures, featuresToUse,labelType)

% Test LDA with leave-one-out validation.

featuresMat = allFeatures.featureMatrix(:,featuresToUse);

switch labelType
  case 'location'
    labs = allFeatures.labels.location;
  case 'type'
    labs = allFeatures.labels.type;
  case 'playerID'
    labs = allFeatures.labels.player_ID; 
  case 'fastnot'
    labs = allFeatures.labels.fastnot;
  case 'vert_loc'
    labs = allFeatures.labels.vert_loc;
  case 'horiz_loc'
    labs = allFeatures.labels.horiz_loc; 
  case 'fast_chng_brk'
    labs = allFeatures.labels.fast_chng_brk; 
end;

for i = 1:length(labs)
    
    % leave one out:
    featureSubset = featuresMat;
    featureSubset(i,:)=[];
    labelSubset = labs;
    labelSubset(i) = [];
    
    % run kNN on the left-out example
    class(i) = classify(featuresMat(i,:),featureSubset,labelSubset);
    
    % test the results
    isCorrect(i) = (class(i) == labs(i));
    
end

eL1O = 1-sum(isCorrect)./length(isCorrect);