% This script serves as a wrapper for running SFS with leave-one-out
% validation on all data classification problems with all different
% classification methods.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Pitching
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load features/allPitchFeaturesNOCURVES;

% Type

feature_select(allPitchFeatures,'type','pitch','lda');
return
%feature_select(allPitchFeatures,'type','pitch','nb');
%feature_select(allPitchFeatures,'type','pitch','svm');

for k = 1:2:11
  feature_select(allPitchFeatures,'type','pitch','knn',k);
end;


% Location

feature_select(allPitchFeatures,'location','pitch','lda');
%feature_select(allPitchFeatures,'location','pitch','nb');
%feature_select(allPitchFeatures,'location','pitch','svm');

for k = 1:2:11
  feature_select(allPitchFeatures,'location','pitch','knn',k);
end;

% Player ID

feature_select(allPitchFeatures,'playerID','pitch','lda');
%feature_select(allPitchFeatures,'playerID','pitch','nb');
%feature_select(allPitchFeatures,'playerID','pitch','svm');

for k = 1:2:11
  feature_select(allPitchFeatures,'playerID','pitch','knn',k);
end;


clear all;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Batting
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load features/allSwingFeatures;

% Location

feature_select(allSwingFeatures,'location','bat','lda');
%feature_select(allSwingFeatures,'location','bat','nb');
%feature_select(allSwingFeatures,'location','bat','svm');

for k = 1:2:11
  feature_select(allSwingFeatures,'location','bat','knn',k);
end;


% Player ID

feature_select(allSwingFeatures,'playerID','bat','lda');
%feature_select(allSwingFeatures,'playerID','bat','nb');
%feature_select(allSwingFeatures,'playerID','bat','svm');

for k = 1:2:11
  feature_select(allSwingFeatures,'playerID','bat','knn',k);
end;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Subsets
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

create_subsets;

% Fastball vs. Everything Else

for k = 1:2:11
  feature_select(allPitchFeatures,'fastnot','pitch','knn',k);
end;
feature_select(allPitchFeatures,'fastnot','pitch','lda');
feature_select(allPitchFeatures,'fastnot','pitch','nb');
feature_select(allPitchFeatures,'fastnot','pitch','svm');



% Vertical Location

feature_select(allPitchFeatures,'vert_loc','pitch','lda');
%feature_select(allPitchFeatures,'vert_loc','pitch','svm');
for k = 1:2:11
  feature_select(allPitchFeatures,'vert_loc','pitch','knn',k);
end;
feature_select(allPitchFeatures,'vert_loc','pitch','nb');

% Horizontal Location

feature_select(allPitchFeatures,'horiz_loc','pitch','lda');
%feature_select(allPitchFeatures,'horiz_loc','pitch','svm');
for k = 1:2:11
  feature_select(allPitchFeatures,'horiz_loc','pitch','knn',k);
end;
feature_select(allPitchFeatures,'horiz_loc','pitch','nb');

% Fastball, Changeup, Breaking Ball

fastc = []; changec = []; breakc = [];

for w = 1:length(allPitchFeatures.labels.type)
  if allPitchFeatures.labels.type == 1
    fastc = cat(1,fastc,w);
  elseif allPitchFeatures.labels.type == 2
    changec = cat(1,changec,w);
  elseif allPitchFeatures.labels.type == 3
    breakc = cat(1,breakc,w);
  end;
end;

keep_ind = sort(cat(1,fastc,changec,breakc));

allPitchFeatures.featureMatrix = allPitchFeatures.featureMatrix(keep_ind,:);

fast_chng_brk          = ones(1,length(keep_ind));    
fast_chng_brk(changec) = 2;
fast_chng_brk(breakc)  = 3;
allPitchFeatures.labels.fast_chng_brk = fast_chng_brk;

feature_select(allPitchFeatures,'fast_chng_brk','pitch','lda');
%feature_select(allPitchFeatures,'fast_chng_brk','pitch','svm');
for k = 1:2:11
  feature_select(allPitchFeatures,'fast_chng_brk','pitch','knn',k);
end;
feature_select(allPitchFeatures,'fast_chng_brk','pitch','nb');
