%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Subsets
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

create_subsets;

% Horizontal Location

feature_select(allPitchFeatures,'horiz_loc','pitch','lda');
%feature_select(allPitchFeatures,'horiz_loc','pitch','svm');
for k = 1:2:11
  feature_select(allPitchFeatures,'horiz_loc','pitch','knn',k);
end;
feature_select(allPitchFeatures,'horiz_loc','pitch','nb');

% Fastball, Changeup, Breaking Ball

fastc = []; changec = []; breakc = [];

for w = 1:length(allPitchFeatures.labels.type)
  if allPitchFeatures.labels.type == 1
    fastc = cat(1,fastc,w);
  elseif allPitchFeatures.labels.type == 2
    changec = cat(1,changec,w);
  elseif allPitchFeatures.labels.type == 3
    breakc = cat(1,breakc,w);
  end;
end;

keep_ind = sort(cat(1,fastc,changec,breakc));

allPitchFeatures.featureMatrix = allPitchFeatures.featureMatrix(keep_ind,:);

fast_chng_brk          = ones(1,length(keep_ind));    
fast_chng_brk(changec) = 2;
fast_chng_brk(breakc)  = 3;
allPitchFeatures.labels.fast_chng_brk = fast_chng_brk;

feature_select(allPitchFeatures,'fast_chng_brk','pitch','lda');
%feature_select(allPitchFeatures,'fast_chng_brk','pitch','svm');
for k = 1:2:11
  feature_select(allPitchFeatures,'fast_chng_brk','pitch','knn',k);
end;
feature_select(allPitchFeatures,'fast_chng_brk','pitch','nb');


% Fastball vs. Everything Else

for k = 1:2:11
  feature_select(allPitchFeatures,'fastnot','pitch','knn',k);
end;
feature_select(allPitchFeatures,'fastnot','pitch','lda');
feature_select(allPitchFeatures,'fastnot','pitch','nb');
%feature_select(allPitchFeatures,'fastnot','pitch','svm');